import 'package:flutter/material.dart';
import 'package:flutter_nebula/flutter_nebula.dart';

StyleData _generateForStatus(String status) {
  return StyleData({
    'select-$status-outline-border-color': 'color-$status-default',
    'select-$status-outline-background-color': 'background-basic-color-2',
    'select-$status-outline-text-color': 'text-basic-color',
    'select-$status-outline-hint-color': 'text-hint-color',
    'select-$status-outline-active-border-color': 'color-$status-hover',
    'select-$status-outline-active-background-color':
        'background-basic-color-2',
    'select-$status-outline-active-text-color': 'text-basic-color',
    'select-$status-outline-active-hint-color': 'text-hint-color',
    'select-$status-outline-disabled-border-color': 'border-basic-color-4',
    'select-$status-outline-disabled-background-color':
        'background-basic-color-3',
    'select-$status-outline-disabled-text-color': 'text-disabled-color',
    'select-$status-outline-disabled-hint-color': 'text-disabled-color',
    'select-$status-filled-border-color': 'color-$status-default',
    'select-$status-filled-background-color': 'color-$status-default',
    'select-$status-filled-text-color': 'text-control-color',
    'select-$status-filled-hint-color': 'text-control-color',
    'select-$status-filled-active-border-color': 'color-$status-hover',
    'select-$status-filled-active-background-color': 'color-$status-hover',
    'select-$status-filled-active-text-color': 'text-control-color',
    'select-$status-filled-active-hint-color': 'text-control-color',
    'select-$status-filled-disabled-border-color': 'background-basic-color-3',
    'select-$status-filled-disabled-background-color':
        'background-basic-color-3',
    'select-$status-filled-disabled-text-color': 'text-disabled-color',
    'select-$status-filled-disabled-hint-color': 'text-disabled-color',
    'select-$status-ghost-border-color': Colors.transparent,
    'select-$status-ghost-background-color': Colors.transparent,
    'select-$status-ghost-text-color': 'text-basic-color',
    'select-$status-ghost-hint-color': 'text-hint-color',
    'select-$status-ghost-active-border-color': Colors.transparent,
    'select-$status-ghost-active-background-color': Colors.transparent,
    'select-$status-ghost-active-text-color': 'text-basic-color',
    'select-$status-ghost-active-hint-color': 'text-hint-color',
    'select-$status-ghost-disabled-border-color': Colors.transparent,
    'select-$status-ghost-disabled-background-color': Colors.transparent,
    'select-$status-ghost-disabled-text-color': 'text-disabled-color',
    'select-$status-ghost-disabled-hint-color': 'text-disabled-color',
  });
}

final StyleData selectStyle = StyleData({
  'select-border-width': 'border-width',
  'select-active-border-width': (s) => s.get('border-width') * 2.0,
  'select-label-font-family': 'text-label-font-family',
  'select-label-font-size': 'text-label-font-size',
  'select-label-font-weight': 'text-label-font-weight',
  'select-label-color': 'text-hint-color',
  'select-description-font-family': 'text-paragraph-2-font-family',
  'select-description-font-size': 'text-paragraph-2-font-size',
  'select-description-font-weight': 'text-paragraph-2-font-weight',
  'select-description-color': 'text-hint-color',
  'select-hint-font-family': 'text-paragraph-font-family',
  'select-hint-font-size': 'text-paragraph-font-size',
  'select-hint-font-weight': 'text-paragraph-font-weight',
  'select-hint-color': 'text-hint-color',
  'select-tiny-text-font-family': 'text-caption-2-font-family',
  'select-tiny-text-font-size': 'text-caption-2-font-size',
  'select-tiny-text-font-weight': 'text-caption-2-font-weight',
  'select-small-text-font-family': 'text-subtitle-2-font-family',
  'select-small-text-font-size': 'text-subtitle-2-font-size',
  'select-small-text-font-weight': 'text-subtitle-2-font-weight',
  'select-medium-text-font-family': 'text-subtitle-font-family',
  'select-medium-text-font-size': 'text-subtitle-font-size',
  'select-medium-text-font-weight': 'text-subtitle-font-weight',
  'select-large-text-font-family': 'text-subtitle-font-family',
  'select-large-text-font-size': 'text-subtitle-font-size',
  'select-large-text-font-weight': 'text-subtitle-font-weight',
  'select-giant-text-font-family': 'text-heading-6-font-family',
  'select-giant-text-font-size': 'text-heading-6-font-size',
  'select-giant-text-font-weight': 'text-heading-6-font-weight',
  'select-tiny-padding':
      EdgeInsets.symmetric(vertical: 0.2275 * 16.0, horizontal: 1.125 * 16.0),
  'select-small-padding':
      EdgeInsets.symmetric(vertical: 0.2275 * 16.0, horizontal: 1.125 * 16.0),
  'select-medium-padding':
      EdgeInsets.symmetric(vertical: 0.4375 * 16.0, horizontal: 1.125 * 16.0),
  'select-large-padding':
      EdgeInsets.symmetric(vertical: 0.6875 * 16.0, horizontal: 1.125 * 16.0),
  'select-giant-padding':
      EdgeInsets.symmetric(vertical: 0.9375 * 16.0, horizontal: 1.125 * 16.0),
  'select-outline-border-color': 'border-basic-color-3',
  'select-outline-background-color': 'background-basic-color-2',
  'select-outline-text-color': 'text-basic-color',
  'select-outline-hint-color': 'text-hint-color',
  'select-outline-active-border-color': 'color-primary-default',
  'select-outline-active-background-color': 'background-basic-color-2',
  'select-outline-active-text-color': 'text-basic-color',
  'select-outline-active-hint-color': 'text-hint-color',
  'select-outline-disabled-border-color': 'border-basic-color-4',
  'select-outline-disabled-background-color': 'background-basic-color-3',
  'select-outline-disabled-text-color': 'text-disabled-color',
  'select-outline-disabled-hint-color': 'text-disabled-color',
  'select-filled-border-color': 'background-basic-color-2',
  'select-filled-background-color': 'background-basic-color-2',
  'select-filled-text-color': 'text-basic-color',
  'select-filled-hint-color': 'text-hint-color',
  'select-filled-active-border-color': 'background-basic-color-2',
  'select-filled-active-background-color': 'background-basic-color-2',
  'select-filled-active-text-color': 'text-basic-color',
  'select-filled-active-hint-color': 'text-hint-color',
  'select-filled-disabled-border-color': 'background-basic-color-3',
  'select-filled-disabled-background-color': 'background-basic-color-3',
  'select-filled-disabled-text-color': 'text-disabled-color',
  'select-filled-disabled-hint-color': 'text-disabled-color',
  'select-ghost-border-color': Colors.transparent,
  'select-ghost-background-color': Colors.transparent,
  'select-ghost-text-color': 'text-basic-color',
  'select-ghost-hint-color': 'text-hint-color',
  'select-ghost-active-border-color': Colors.transparent,
  'select-ghost-active-background-color': Colors.transparent,
  'select-ghost-active-text-color': 'text-basic-color',
  'select-ghost-active-hint-color': 'text-hint-color',
  'select-ghost-disabled-border-color': Colors.transparent,
  'select-ghost-disabled-background-color': Colors.transparent,
  'select-ghost-disabled-text-color': 'text-disabled-color',
  'select-ghost-disabled-hint-color': 'text-disabled-color',
})
  ..inject(_generateForStatus('primary'))
  ..inject(_generateForStatus('success'))
  ..inject(_generateForStatus('warning'))
  ..inject(_generateForStatus('danger'))
  ..inject(_generateForStatus('info'));
