import 'package:flutter/material.dart';
import 'package:flutter_nebula/flutter_nebula.dart';

final StyleData textStyle = StyleData({
  'text-basic-color': 'color-basic-900',
  'text-alternate-color': 'color-basic-100',
  'text-control-color': 'color-basic-100',
  'text-disabled-color': 'color-basic-500',
  'text-hint-color': 'color-basic-600',
  'text-primary-color': 'color-primary-default',
  'text-primary-focus-color': 'color-primary-focus',
  'text-primary-hover-color': 'color-primary-hover',
  'text-primary-active-color': 'color-primary-active',
  'text-primary-disabled-color': 'color-primary-400',
  'text-success-color': 'color-success-default',
  'text-success-focus-color': 'color-success-focus',
  'text-success-hover-color': 'color-success-hover',
  'text-success-active-color': 'color-success-active',
  'text-success-disabled-color': 'color-success-400',
  'text-info-color': 'color-info-default',
  'text-info-focus-color': 'color-info-focus',
  'text-info-hover-color': 'color-info-hover',
  'text-info-active-color': 'color-info-active',
  'text-info-disabled-color': 'color-info-400',
  'text-warning-color': 'color-warning-default',
  'text-warning-focus-color': 'color-warning-focus',
  'text-warning-hover-color': 'color-warning-hover',
  'text-warning-active-color': 'color-warning-active',
  'text-warning-disabled-color': 'color-warning-400',
  'text-danger-color': 'color-danger-default',
  'text-danger-focus-color': 'color-danger-focus',
  'text-danger-hover-color': 'color-danger-hover',
  'text-danger-active-color': 'color-danger-active',
  'text-danger-disabled-color': 'color-danger-400',
  'font-family-primary': 'Roboto',
  'font-family-secondary': 'Roboto',
  'text-heading-1-font-family': 'font-family-secondary',
  'text-heading-1-font-size': 2.25 * 16.0,
  'text-heading-1-font-weight': FontWeight.w700,
  'text-heading-2-font-family': 'font-family-secondary',
  'text-heading-2-font-size': 2 * 16.0,
  'text-heading-2-font-weight': FontWeight.w700,
  'text-heading-3-font-family': 'font-family-secondary',
  'text-heading-3-font-size': 1.875 * 16.0,
  'text-heading-3-font-weight': FontWeight.w700,
  'text-heading-4-font-family': 'font-family-secondary',
  'text-heading-4-font-size': 1.625 * 16.0,
  'text-heading-4-font-weight': FontWeight.w700,
  'text-heading-5-font-family': 'font-family-secondary',
  'text-heading-5-font-size': 1.375 * 16.0,
  'text-heading-5-font-weight': FontWeight.w700,
  'text-heading-6-font-family': 'font-family-secondary',
  'text-heading-6-font-size': 1.125 * 16.0,
  'text-heading-6-font-weight': FontWeight.w700,
  'text-subtitle-font-family': 'font-family-primary',
  'text-subtitle-font-size': 0.9375 * 16.0,
  'text-subtitle-font-weight': FontWeight.w600,
  'text-subtitle-2-font-family': 'font-family-primary',
  'text-subtitle-2-font-size': 0.8125 * 16.0,
  'text-subtitle-2-font-weight': FontWeight.w600,
  'text-paragraph-font-family': 'font-family-primary',
  'text-paragraph-font-size': 0.9375 * 16.0,
  'text-paragraph-font-weight': FontWeight.w400,
  'text-paragraph-2-font-family': 'font-family-primary',
  'text-paragraph-2-font-size': 0.8125 * 16.0,
  'text-paragraph-2-font-weight': FontWeight.w400,
  'text-label-font-family': 'font-family-primary',
  'text-label-font-size': 0.75 * 16.0,
  'text-label-font-weight': FontWeight.w700,
  'text-caption-font-family': 'font-family-primary',
  'text-caption-font-size': 0.75 * 16.0,
  'text-caption-font-weight': FontWeight.w400,
  'text-caption-2-font-family': 'font-family-primary',
  'text-caption-2-font-size': 0.75 * 16.0,
  'text-caption-2-font-weight': FontWeight.w600,
});
